Bug 502289 - movie player crash X11
movie player crash X11
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-23 03:20 EDT by Alexey Kuznetsov
Modified: 2013-04-02 00:23 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-07 18:05:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (132.08 KB, text/plain)
2009-05-23 03:21 EDT, Alexey Kuznetsov
no flags Details
Xorg.0.log (59.57 KB, text/plain)
2009-05-24 12:52 EDT, Eric Ciroux
no flags Details
Running totem from the command line (625 bytes, text/plain)
2009-05-24 12:59 EDT, Eric Ciroux
no flags Details
Running vlc from the command line (694 bytes, text/plain)
2009-05-24 13:00 EDT, Eric Ciroux
no flags Details

  None (edit)
Description Alexey Kuznetsov 2009-05-23 03:20:17 EDT
run twice (!) movie player on same movie.

first run - crash player, second run - x11 crash
Comment 1 Alexey Kuznetsov 2009-05-23 03:21:15 EDT
Created attachment 345181 [details]
Xorg.0.log
Comment 2 Eric Ciroux 2009-05-24 12:52:10 EDT
Created attachment 345255 [details]
Xorg.0.log
Comment 3 Eric Ciroux 2009-05-24 12:53:41 EDT
Hello,

Same problem here with 2.6.29.3-155.fc11.i586 and xorg-x11-drv-intel-2.7.0-6.fc11.i586.

totem and vlc crash when loading for the first time an .avi file; loading the same file a second time crashes X.
Same thing occurs with AccelMethod=EXA (default value) and XAA.
Comment 4 Eric Ciroux 2009-05-24 12:59:06 EDT
Created attachment 345257 [details]
Running totem from the command line
Comment 5 Eric Ciroux 2009-05-24 13:00:00 EDT
Created attachment 345258 [details]
Running vlc from the command line
Comment 6 Bug Zapper 2009-06-09 12:25:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fredrik Duprez 2009-06-10 06:42:37 EDT
I have the same problems with totem on intel 855GM chipset.

See my logs attached to my other bug report here

https://bugzilla.redhat.com/show_bug.cgi?id=501153

There are Xorg logs from Fedora 11 final release
Comment 8 f_a_f12001 2009-06-21 03:41:54 EDT
After I upgraded from Fedora 10 to Fedora 11 through preupgrade I faced the same problem, X11 hangs when playing videos with totem or mplayer, But not realplayer11,
Video card Intel 82945G/GZ.
The system is working fine now without crashes after I used the option "nomodeset" from Grub menu file.
Comment 9 GOYOT Martin 2009-07-12 18:36:13 EDT
Same problem with Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
.

I used the nomodeset option to fix display problems, but videos playing doesn't work...
Comment 10 Kenny 2009-08-03 22:32:36 EDT
I have the same problem!
I have nomodeset as a kernel paramter.

My graphics card is an intel 85852/82855GM/GME
Hopefully this will be fixed.
Comment 11 Kenny 2009-08-03 22:40:48 EDT
Wrong name; intel 82852/82855GM/GME
Comment 12 Kenny 2009-08-03 23:34:06 EDT
Ok, I have tried all of the solutions here:
https://fedoraproject.org/wiki/Common_F11_bugs#intel-misc-gfx

None of them have worked.
Option "AccelMethod" "EXA" does the same thing
Option "AccelMethod" "XAA" does the same thing...

I even tried Option "AccelMethod" "xv" and nothing.
I'm not sure why it doesn't work.
Comment 13 scorpius17 2009-08-21 13:01:16 EDT
Same problem after a update from fedora 10 (where it worked) to fedora 11. 
I have tried "EXA" and "XAA" options too, but nothing.

Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
Comment 14 georges 2009-08-22 05:29:45 EDT
Exactly the same problem... my session crash when i try to read a video.

Intel Corporation 82852/855GM Integrated Graphics Device (rev 02) too.
Comment 15 f_a_f12001 2009-08-23 03:39:12 EDT
Try using the "nomodeset" parameter to the kernel from Grub menu file.
Comment 16 georges 2009-08-23 09:33:59 EDT
I have ever add the nomodeset parameter in my grub.conf...
Comment 17 Alexey Kuznetsov 2009-09-10 06:13:08 EDT
Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812d37b]
1: /usr/bin/Xorg(xf86SigHandler+0x9e) [0x80c096e]
2: [0xf72400]
3: /usr/lib/libdrm_intel.so.1(drm_intel_gem_bo_start_gtt_access+0x44) [0xb5a184]
4: /usr/lib/xorg/modules/drivers//intel_drv.so [0x62e269]
5: /usr/lib/xorg/modules/drivers//intel_drv.so [0x6335f6]
6: /usr/bin/Xorg [0x80d6f8e]
7: /usr/lib/xorg/modules/extensions//libextmod.so(XvdiPutImage+0x17e) [0x747d8e]
8: /usr/lib/xorg/modules/extensions//libextmod.so [0x74ba28]
9: /usr/lib/xorg/modules/extensions//libextmod.so(ProcXvDispatch+0x3a) [0x74ca0a]
10: /usr/bin/Xorg(Dispatch+0x347) [0x80866a7]
11: /usr/bin/Xorg(main+0x395) [0x806bb55]
12: /lib/libc.so.6(__libc_start_main+0xe6) [0x43ca66]
13: /usr/bin/Xorg [0x806b001]

Fatal server error:
Caught signal 11.  Server aborting
Comment 18 Jessica Sterling 2009-10-06 20:46:27 EDT
I'm experiencing the same issue.  vlc crashes the first time I try to play an .avi file, and X crashes the second time.

- Using the "nomodeset" kernel parameter does not solve it for me.
- Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
- 2.6.30.8-64.fc11.i586 from testing
- xorg-x11-drv-intel-2.7.0-7.fc11.i586
Comment 19 Jessica Sterling 2009-10-25 21:22:40 EDT
From dmesg (and syslog): 

npviewer.bin[2853]: segfault at b703f044 ip 003e1ccd sp bfa68a04 error 4 in libpthread-2.10.1.so[3da000+16000]
Comment 20 f_a_f12001 2009-10-26 03:58:59 EDT
(In reply to comment #19)
> From dmesg (and syslog): 
> 
> npviewer.bin[2853]: segfault at b703f044 ip 003e1ccd sp bfa68a04 error 4 in
> libpthread-2.10.1.so[3da000+16000]  

I think you just upgraded from Fedora 10 to 11?
I remember that problem happened to me when I did that from some month, libpthread is not needed in Fedora 11, Remove it's RPM and the flash will work with you.
Comment 22 Jessica Sterling 2009-11-03 09:55:48 EST
(In reply to comment #20)
> (In reply to comment #19)
> > From dmesg (and syslog): 
> > 
> > npviewer.bin[2853]: segfault at b703f044 ip 003e1ccd sp bfa68a04 error 4 in
> > libpthread-2.10.1.so[3da000+16000]  
> 
> I think you just upgraded from Fedora 10 to 11?
> I remember that problem happened to me when I did that from some month,
> libpthread is not needed in Fedora 11, Remove it's RPM and the flash will work
> with you.  

I'll follow your suggestion and remove libpthread.  For the record, this is a fresh install of Fedora 11.  I can also try to verify that the issue exists with avi files that are not flv encoded.  I'll let you know the results.
Comment 23 Matěj Cepl 2009-11-05 13:29:44 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 24 Alexey Kuznetsov 2009-11-05 14:08:55 EST
f12 works fine
Comment 25 Matěj Cepl 2009-11-07 18:05:17 EST
Thank you for letting us know.
Comment 26 Jessica Sterling 2009-11-08 23:28:53 EST
I upgraded with the testing repo and still get the same behavior.  New segfault message though:

[root@spock ~]# uname -a
Linux spock 2.6.30.9-96.fc11.i586 #1 SMP Tue Nov 3 23:33:04 EST 2009 i686 i686 i386 GNU/Linux
[root@spock ~]# cat /var/log/messages | egrep segfault
Nov  8 23:09:44 localhost kernel: vlc[2363]: segfault at e03adb8 ip 00340d68 sp b6df4210 error 4 in libc-2.10.1.so[312000+16b000]
[root@spock ~]# 

I'll install F12.  This was just for informational purposes.

Oh, and just in case anyone suggests it, I don't intend to remove libc.  ;)

Note You need to log in before you can comment on or make changes to this bug.